#  Build a Rust MySQL CRUD API with Axum

In this article, we’ll build a CRUD (Create, Read, Update, Delete) API in Rust using the Axum web framework and MySQL as the database. Over the past few years, Rust has rapidly gained popularity as a high-performance language, making it an excellent choice for building APIs.

![Build a Rust MySQL CRUD API with Axum](https://codevoweb.com/wp-content/uploads/2024/10/Build-a-Rust-MySQL-CRUD-API-with-Axum.webp)

## Topics Covered

- Test the CRUD Endpoints on Your Computer
- Set Up the Rust API
- Launch MySQL Instance in Docker
- Perform Database Migrations with SQLx
- Create the Database Model
- Create the Request Schema Structs
- Perform the CRUD Operations
  - Fetch All Records
  - Insert a Record
  - Fetch a Record
  - Edit a Record
  - Delete a Record
  - Complete CRUD Code
- Set Up the API Routes
- Register the Axum Router and Set Up CORS
- Conclusion

Read the entire article here: [https://codevoweb.com/build-a-rust-mysql-crud-api-with-axum/](https://codevoweb.com/build-a-rust-mysql-crud-api-with-axum/)
